Class | Tk::BLT::PlotComponent::Legend
In: | tk/lib/tkextlib/blt/component.rb
Parent: | TkObject

### Methods

activate cget configinfo configure current_configinfo deactivate get id new new to_eval

### Constants

OBJ_TBL | = | {}

### Public Class methods

new(chart, keys={})

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 681
          def self.new(chart, keys={})
            return OBJ_TBL[chart.path] if OBJ_TBL[chart.path]
            super(chart, keys)
          end

new(chart, keys={})

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 686
          def initialize(chart, keys={})
            @parent = @chart = chart
            @cpath = @chart.path
            Crosshairs::OBJ_TBL[@cpath] = self
            @chart.crosshair_configure(keys) unless keys.empty?
            @path = @id = 'legend'
          end

### Public Instance methods

activate(*args)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 716
          def activate(*args)
            @chart.legend_activate(*args)
          end

cget(option)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 702
          def cget(option)
            @chart.legend_cget(option)
          end

configinfo(key=nil)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 709
          def configinfo(key=nil)
            @chart.legend_configinfo(key)
          end

configure(key, value=None)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 705
          def configure(key, value=None)
            @chart.legend_configure(key, value)
            self
          end

current_configinfo(key=nil)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 712
          def current_configinfo(key=nil)
            @chart.current_legend_configinfo(key)
          end

deactivate(*args)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 720
          def deactivate(*args)
            @chart.legend_deactivate(*args)
          end

get(pos, y=nil)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 724
          def get(pos, y=nil)
            @chart.legend_get(pos, y)
          end

id()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 694
          def id
            @id
          end

to_eval()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 698
          def to_eval
            @id
          end

[Validate]